
#ifdef __cplusplus 
extern "C" {
#endif

typedef struct reportfile reportfile_t;

const char* strata_client_strerror( void );

reportfile_t* reportfile_start( int __is_signature );
int reportfile_add_binding_from_string( reportfile_t* __file, const char* __name, const char* __value, int __isbinary, const char* __filename );
int reportfile_add_binding_from_namedfile( reportfile_t* __file, const char* __name, const char* __local_filename, int __isbinary, const char* __filename );
int reportfile_end( reportfile_t* );
int reportfile_write_to_file( reportfile_t* __file, const char* __outfile_name );
char* reportfile_as_string( reportfile_t* __file );
int reportfile_free( reportfile_t* __file );


const char* post_signature( const char* baseURL, const char* __a_signature );
const char* create_case( const char* baseURL, const char* __a_description );

#ifdef __cplusplus 
}
#endif

